.rules-common-env:
  rules:
    - if: $DEPLOY_ENVIRONMENT != null

build_vars:
  stage: prepare
  rules:
    - !reference [.rules-common-env, rules]
  script:
    # These variables are set by the before_ci.sh script, which runs in a global
    # before_script. These variables will be available as environment variables
    # to all jobs after this one.
    # The before_script makes the environment variables available only to the script
    # section of a job. This dotenv report artifact makes these variables available
    # to any section of a job.
    - echo "CHECKMODE=$CHECKMODE" >> $CI_PROJECT_DIR/variables.env
    - echo "DEPLOY_VERSION=$DEPLOY_VERSION" >> $CI_PROJECT_DIR/variables.env
    - echo "DEPLOY_ROLLBACK=$DEPLOY_ROLLBACK" >> $CI_PROJECT_DIR/variables.env
    - cat $CI_PROJECT_DIR/variables.env
  artifacts:
    reports:
      dotenv: variables.env
